gsl::CFDFMinimizer Class Reference

`#include <mia/core/gsl_multimin.hh>`

## Data Structures

class | Problem

## Public Types

typedef std::shared_ptr< Problem > | PProblem

## Public Member Functions

| CFDFMinimizer (PProblem p, const gsl_multimin_fdfminimizer_type *ot)
int | run (Vector &x)
void | set_g_tol (double tol)
void | set_stop_eps (double tol)
| ~CFDFMinimizer ()

## Detailed Description

This class wraps the gradient based optimizers of the GSL

Definition at line 35 of file gsl_multimin.hh.

## Member Typedef Documentation

## PProblem

typedef std::shared_ptr<Problem> gsl::CFDFMinimizer::PProblem

Definition at line 80 of file gsl_multimin.hh.

## Constructor & Destructor Documentation

## CFDFMinimizer()

gsl::CFDFMinimizer::CFDFMinimizer | ( | PProblem | p,
|  | const gsl_multimin_fdfminimizer_type * | ot )

Construtor of the optimizer.

Parameters

  p | problem to be optimized
  ot | optimizer type used

## ~CFDFMinimizer()

gsl::CFDFMinimizer::~CFDFMinimizer | ( |  | ) |

## Member Function Documentation

## run()

int gsl::CFDFMinimizer::run | ( | Vector & | x | ) |

Run the optimization

Parameters

  [in,out] | x | at entry contains the start point of the optimization at exit the optimized value

Returns
  returns a status whether the optimization succeeded or why it stopped

## set_g_tol()

void gsl::CFDFMinimizer::set_g_tol | ( | double | tol | ) |

Set the gradient tolerance stopping criterion. (See GSL documentation.)

## set_stop_eps()

void gsl::CFDFMinimizer::set_stop_eps | ( | double | tol | ) |

Set the epsilon stopping criterion. (See GSL documentation.)

The documentation for this class was generated from the following file:

- gsl_multimin.hh